[aliases]
n0=;################По писде получиш, если чонить поменяеш.#########################
n1=/d dialog -nm type type
n2=/i /ip_whois $$1
n3=/F1 /about
n4=/j /join #$$1 $2-
n5=/p /part #
n6=/n /names #$$1
n7=/w /whois $$1
n8=/k /kick # $$1 $2-
n9=/q /query $$1
n10=/send /dcc send $1 $2
n11=/chat /dcc chat $1
n12=/ping /ctcp $$1 ping
n13=/s /server $$1-
n14=/f4 /chanserv op $chan $1
n15=statistic {
n16=  echo -s K22 mIRC Script:
n17=  echo -s 9Copyright © Trium
n18=  echo -s 9IRC: MegaNet 
n19=  echo -s 8Help: /server irc.nn.ru -j #help
n20=  echo -s 10Статистика:
n21=  echo -s 10Кикнули %k раз
n22=  echo -s 10Пробубнили %total.words слов и %total.letters знаков
n23=  echo -s 10Максимальный аптайм  $duration(%max.uptime)
n24=  echo -s 10Включили K22 mIRC Script %numberstart раз
n25=  inc %numberstart
n26=  if ( %numberstart == 0 ) { .identd on 0x $+ $base($rand(1048576,16777215),10,16) }
n27=  if ( %script.update == yes ) {
n28=    writeini -n mirc.ini colors n3 K22 Team,1,0,4,5,3,3,3,11,4,3,3,15,14,7,6,0,12,14,12,5,15,1,0,1,0,15,6,1
n29=    writeini -n mirc.ini text quit << K22 Script 2.0 - WWW.K22.RU - irc.k22.ru - #k22.ru>>
n30=    writeini -n $mircdirfiles/options.ini ctcp Version K22 Script 2.0 [www.k22.ru]
n31=    writeini -n $mircdirfiles/options.ini "flood protect" Notice/Dcc Notice/Dcc Flood,6,10,30
n32=    remini $mircdirfiles/options.ini "flood protect" notice
n33=    writeini -n $mircdirfiles/options.ini away mode manual
n34=    writeini -n $mircdirfiles/options.ini away IdleDelay 1
n35=    writeini -n $mircdirfiles/options.ini away Nick Add
n36=    writeini -n $mircdirfiles/options.ini away Action yes
n37=    writeini -n $mircdirfiles/options.ini away NickValue _away
n38=    .remove magusirc.dll
n39=    echo -a 10***Апдейт завершён | set %script.update no
n40=    .save -rv remote.ini
n41=  }
n42=}
n43=
n44=F9 editbox -a $replacecs($editbox($active),.,ю,$chr(44),б,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,[,х,],ъ,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,',э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,.,ю,Q,Й,W,Ц,E,У,R,К,T,Е,Y,Н,U,Г,I,Ш,O,Щ,P,З,[,Х,A,Ф,S,Ы,D,В,F,А,G,П,H,Р,J,О,K,Л,L,Д,:,Ж,",Э,Z,Я,X,Ч,C,С,V,М,B,И,N,Т,<,Б,>,Ю,&,?,^,:,/,.,`,ё,$,;)
n45=F10 editbox -a $replacecs($editbox($active),.,/,?,&,:,^,б,$chr(44),й,q,ц,w,у,e,к,r,е,t,н,y,г,u,ш,i,щ,o,з,p,х,[,ъ,],ф,a,ы,s,в,d,а,f,п,g,р,h,о,j,л,k,д,l,ж,;,э,',я,z,ч,x,с,c,м,v,и,b,т,n,ь,m,ю,.,Й,Q,Ц,W,У,E,К,R,Е,T,Н,Y,Г,U,Ш,I,Щ,O,З,P,Ф,A,Ы,S,В,D,А,F,П,G,Р,H,О,J,Л,K,Д,L,Ж,:,Э,",Я,Z,Ч,X,С,C,М,V,И,B,Т,N,Ь,M,Б,<,Ю,>)
n46=rus-tran { msg $active $replacecs($2-,й,j,ц,ts,у,u,к,k,е,e,н,n,г,g,ш,sh,щ,sh',з,z,х,h,ъ,',ф,f,ы,i,в,v,а,a,п,p,р,r,о,o,л,l,д,d,ж,zh,э,e,я,ja,ч,4,с,s,м,m,и,i,т,t,ь,',б,b,ю,y,Й,J,Ц,Ts,У,U,К,K,Е,E,Н,N,Г,G,Ш,Sh,Щ,Sh',З,Z,Х,H,Ф,F,Ы,I,В,V,А,A,П,P,Р,R,О,O,Л,L,Д,D,Ж,ZH,Э,E,Я,Ja,Ч,4,С,S,М,M,И,I,Т,T,Ь,',Б,B,Ю,Y) }
n47=tran-rus { msg $active $replacecs($2-,a,а,b,б,v,в,g,г,d,д,e,е,zh,ж,z,з,i,и,j,й,k,к,l,л,m,м,n,н,o,о,p,п,r,р,s,с,t,т,u,у,f,ф,h,х,ts,ц,4,ч,sh,ш,sh',щ,',ь,',ъ,i,ы,e,э,y,ю,ja,я,c,к,x,кс) }
n48=slap { 
n49=  if ( %randomslap == on ) { /describe $chan $replacecs($read(files\slaps.txt),НИК,%findnick) }
n50=  else { /describe $chan $replacecs(%myslap,НИК,%findnick) }
n51=}
n52=prikol { 
n53=  if ( %randomslap == on ) { /describe $chan $replacecs($read(files\prikol.txt),НИК,%findnick) }
n54=  else { /describe $chan $replacecs(%myslap,НИК,%findnick) }
n55=}
n56=sayto {
n57=  if ( %sayto-option == nick ) {
n58=    if ( $editbox($chan) == $null ) { editbox -pf $1 $+ %sayto }
n59=    else { editbox -f | query $1 }
n60=  }
n61=  else { query $1 }
n62=}
n63=
n64=readnicks {
n65=  if ( %identonconnect == on ) { did -c nickserv 16 }
n66=  if ( %identonchange == on ) { did -c nickserv 17 }
n67=  did -r nickserv 7
n68=  :listing
n69=  inc %currentnick 1
n70=  if ( $lines($mircdirfiles\nicks.ini) == 0 ) || ( %currentnick > $lines($mircdirfiles\nicks.ini) ) { unset %currentnick | halt }
n71=  else { 
n72=    if ( $gettok($read($mircdirfiles\nicks.ini, %currentnick),1,61) == nick ) {
n73=      did -a nickserv 7 $gettok($read(files\nicks.ini, %currentnick),2,61) | goto listing
n74=    }
n75=    else { goto listing }
n76=  }
n77=}
n78=
n79=readchans {
n80=  did -r chanserv 9,11,5
n81=  :listing
n82=  inc %currentchan 1 
n83=  if ( %currentchan > $lines($mircdirfiles\chans.ini) ) || ( $lines($mircdirfiles\chans.ini) == 0 ) { unset %currentchan | halt }
n84=  else {
n85=    if ( $gettok($read($mircdirfiles\chans.ini, %currentchan),1,61) == nick ) {
n86=      did -a chanserv 9 $gettok($read($mircdirfiles\chans.ini, %currentchan),2,61) 
n87=      did -a chanserv 5 $gettok($read($mircdirfiles\chans.ini, %currentchan),2,61)
n88=      goto listing 
n89=    }
n90=    else { goto listing }
n91=  }
n92=}
n93=readmemo { 
n94=  did -c memoserv 5,18
n95=}
n96=
n97=readprotect {
n98=  if ( %unban == on ) { did -c options 13 } 
n99=  if ( %csunban == on ) { did -c options 20 }
n100=  if ( %banrevenge == on ) { did -c options 25 | did -e options 32,34,46 }
n101=  if ( %banrevengeon == deop ) { did -c options 32 }
n102=  if ( %banrevengeon == kick ) { did -c options 34 }
n103=  if ( %banrevengeon == kban ) { did -c options 46 }
n104=  if ( %kickrejoin == on ) { did -c options 120 }
n105=  if ( %kickrevenge == on ) { did -c options 121 | did -e options 122,123,124 }
n106=  if ( %kickrevengeon == deop ) { did -c options 122 }
n107=  if ( %kickrevengeon == kick ) { did -c options 123 }
n108=  if ( %kickrevengeon == kban ) { did -c options 124 }
n109=  if ( %csop == on ) { did -c options 125 }
n110=  if ( %deoprevenge == on ) { did -c options 126 | did -e options 127,128,129 }
n111=  if ( %deoprevengeon == deop ) { did -c options 127 }
n112=  if ( %deoprevengeon == kick ) { did -c options 128 }
n113=  if ( %deoprevengeon == kban ) { did -c options 129 }
n114=  did -r options 130
n115=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, Query),1,44)
n116=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, Notice/Dcc),1,44)
n117=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, CTCP),1,44)
n118=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, Invite),1,44)
n119=  did -ra options 159 $readini($mircdirfiles/options.ini, n, Other, DisableProtect)
n120=}
n121=readflood {
n122=  did -ra options 133 $gettok($readini($mircdirfiles/options.ini, n, flood protect, $1),2,44)
n123=  did -ra options 134 $gettok($readini($mircdirfiles/options.ini, n, flood protect, $1),3,44)
n124=  did -ra options 137 $gettok($readini($mircdirfiles/options.ini, n, flood protect, $1),4,44)
n125=}
n126=
n127=readctcp {
n128=  did -r options 51,55,59,63
n129=  set %currentver 1
n130=  set %currentping 1
n131=  set %currenttime 1
n132=  set %currentfin 1
n133=  :list_ver
n134=  if ( %currentver > $lines($mircdirfiles\ctcpver.txt) ) { goto list_ping }
n135=  else { did -a options 51 $read($mircdirfiles\ctcpver.txt, %currentver) | inc %currentver 1 | goto list_ver }
n136=  :list_ping
n137=  if ( %currentping > $lines($mircdirfiles\ctcpping.txt) ) { goto list_time }
n138=  else { did -a options 59 $read($mircdirfiles\ctcpping.txt, %currentping) | inc %currentping 1 | goto list_ping }
n139=  :list_time
n140=  if ( %currenttime > $lines($mircdirfiles\ctcptime.txt) ) { goto list_fin }
n141=  else { did -a options 55 $read($mircdirfiles\ctcptime.txt, %currenttime) | inc %currenttime 1 | goto list_time }
n142=  :list_fin
n143=  if ( %currentfin > $lines($mircdirfiles\ctcpfin.txt) ) || ( $lines($mircdirfiles\ctcpfin.txt) == $null ) { unset %currentver | unset %currentping | unset %currenttime | unset %currentfin }
n144=  else { did -a options 63 $read($mircdirfiles\ctcpfin.txt, %currentfin) | inc %currentfin 1 | goto list_fin }
n145=}
n146=
n147=showctcp {
n148=  did -i options 51 0 $readini($mircdirfiles/options.ini, n, ctcp, Version) | did -i options 59 0 $readini($mircdirfiles/options.ini, n, ctcp, Ping)
n149=  did -i options 55 0 $readini($mircdirfiles/options.ini, n, ctcp, Time) | did -i options 63 0 $readini($mircdirfiles/options.ini, n, ctcp, Finger)
n150=  if ( %ctcpsilence == on ) { did -c options 66 | did -b options 51,52,53,60,61,59,56,55,57,64,65,63,147,148,149,150 }
n151=  if ( %version == off ) { did -c options 147 | did -b options 51,52,53 }
n152=  if ( %time == off ) { did -c options 148 | did -b options 55,56,57 }
n153=  if ( %finger == off ) { did -c options 149 | did -b options 63,64,65 }
n154=  if ( %ping == off ) { did -c options 150 | did -b options 59,60,61 }
n155=}
n156=
n157=readslaps {
n158=  did -r options 3
n159=  set %currentslap 1
n160=  :listing
n161=  if ( %currentslap > $lines($mircdirfiles\slaps.txt) ) { unset %currentslap }
n162=  else { did -a options 3 $read($mircdirfiles\slaps.txt, %currentslap) | inc %currentslap 1 | goto listing }
n163=}
n164=showslap { did -i options 3 0 %myslap
n165=  if ( %randomslap == on ) { did -b options 3 | did -c options 14 } 
n166=  if ( %tran-rus == on ) { did -c options 6 | did -b options 7 }
n167=  if ( %rus-tran == on ) { did -c options 7 | did -b options 6 }
n168=  if ( %scanonjoin == on ) { did -c options 42 }
n169=  if ( %clonescan == on ) { did -c options 45 | did -e options 47 }
n170=  if ( %clonescan == off ) { did -b options 47 }
n171=  if ( %banrequest == on ) { did -c options 47 }
n172=  if ( %winamp.plugin == on ) { did -c options 152 | did -ra options 157 $readini($mircdirfiles\options.ini,n,Other,Mp3Chans) }
n173=}
n174=readaway {
n175=  did -r options 18
n176=  set %currentaway 1
n177=  :listing
n178=  if ( %currentaway > $lines($mircdirfiles\away.txt) ) { unset %currentaway }
n179=  else { did -a options 18 $read($mircdirfiles\away.txt, %currentaway) | inc %currentaway 1 | goto listing }
n180=}
n181=
n182=
n183=showaway {
n184=  did -r options 28,30,35
n185=  if ( $readini($mircdirfiles/options.ini,n,away,nickvalue) != $null ) {
n186=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) { did -a options 30 $readini($mircdirfiles/options.ini,n,away,nickvalue) }
n187=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) { did -a options 28 $readini($mircdirfiles/options.ini,n,away,nickvalue) }
n188=  }
n189=  if ( $readini($mircdirfiles/options.ini,n,away,nick) != $null ) { 
n190=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == NoChange ) { did -c options 26 | did -b options 28,30 }
n191=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) { did -c options 27 | did -b options 28 }
n192=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) { did -c options 29 | did -b options 30 }
n193=  }
n194=  if ( $readini($mircdirfiles/options.ini,n,away,action) != $null ) {
n195=    if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) { did -c options 160 }
n196=    if ( $readini($mircdirfiles/options.ini,n,away,action) == no ) { }
n197=  }
n198=  if ( $readini($mircdirfiles/options.ini,n,away,mode) == manual ) { did -c options 23 }
n199=  if ( $readini($mircdirfiles/options.ini,n,away,mode) == auto ) { 
n200=    did -e options 33,35,36 | did -c options 24 | did -i options 35 0 $readini($mircdirfiles/options.ini,n,away,idledelay)
n201=    set %autoawaytime 10
n202=    set %autoawaypos 30
n203=    :listtime
n204=    if ( %autoawaytime <= %autoawaypos ) {
n205=      did -a options 35 %autoawaytime | inc %autoawaytime 10 | goto listtime
n206=    }
n207=    else { unset %autoawaytime | unset %autoawaypos | did -a options 35 60 }
n208=  } 
n209=}
n210=
n211=manualaway {
n212=  if ( $dname(away) != on ) {
n213=    if ( $readini($mircdirfiles/options.ini,n,away,nick) != $null ) {
n214=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == NoChange ) {
n215=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n216=          ame aWay.По причине $chr(187) $+($chr(164),,$read($mircdirfiles\away.txt,$1-),,$chr(164))
n217=          away $read($mircdirfiles\away.txt,$1-)
n218=          dialog -nm away away
n219=          set $+(%,away.time,$cid) $ctime
n220=        }
n221=        else { 
n222=          away 9 $+ $read($mircdirfiles\away.txt,$1-)
n223=          dialog -nm away away
n224=          set $+(%,away.time,$cid) $ctime
n225=        }
n226=      }
n227=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) {
n228=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n229=          ame aWay.По причине $chr(187) $+($chr(164),,$read($mircdirfiles\away.txt,$1-),,$chr(164))
n230=          away $read($mircdirfiles\away.txt,$1-)
n231=          dialog -nm away away
n232=          set $+(%,away.time,$cid) $ctime
n233=          set %mynormalnick $me
n234=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n235=        }
n236=        else {
n237=          away $read($mircdirfiles\away.txt,$1-)
n238=          dialog -nm away away
n239=          set $+(%,away.time,$cid) $ctime
n240=          set %mynormalnick $me
n241=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n242=
n243=        }
n244=      }
n245=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) {
n246=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n247=          ame is aWay.По причине $chr(187) $+($chr(164),,$read(files\away.txt,$1-),,$chr(164))
n248=          away $read(files\away.txt,$1-)
n249=          dialog -nm away away
n250=          set $+(%,away.time,$cid) $ctime
n251=          set %mynormalnick $me
n252=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n253=        }
n254=        else { 
n255=          away $read($mircdirfiles\away.txt,$1-)
n256=          dialog -nm away away
n257=          set $+(%,away.time,$cid) $ctime
n258=          set %mynormalnick $me
n259=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n260=        }
n261=      }
n262=    }
n263=  }
n264=}
n265=autoaway {
n266=  if ( $dname(away) != on ) {
n267=    if ( $readini($mircdirfiles/options.ini,n,away,nick) != $null ) {
n268=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == NoChange ) {
n269=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n270=          ame Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n271=          away $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n272=          dialog -nm away away
n273=          set $+(%,away.time,$cid) $ctime
n274=        }
n275=        else { 
n276=          away Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n277=          dialog -nm away away
n278=          set $+(%,away.time,$cid) $ctime
n279=        }
n280=      }
n281=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) {
n282=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n283=          ame Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n284=          away $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n285=          dialog -nm away away
n286=          set $+(%,away.time,$cid) $ctime
n287=          set %mynormalnick $me
n288=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n289=        }
n290=        else {
n291=          away Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n292=          dialog -nm away away
n293=          set $+(%,away.time,$cid) $ctime
n294=          set %mynormalnick $me
n295=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n296=
n297=        }
n298=      }
n299=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) {
n300=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n301=          ame Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n302=          away $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n303=          dialog -nm away away
n304=          set $+(%,away.time,$cid) $ctime
n305=          set %mynormalnick $me
n306=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n307=        }
n308=        else { 
n309=          away Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n310=          dialog -nm away away
n311=          set $+(%,away.time,$cid) $ctime
n312=          set %mynormalnick $me
n313=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n314=        }
n315=      }
n316=    }
n317=  }
n318=}
n319=showother {
n320=  did -ra options 70 %sayto
n321=  if ( %autojoin == on ) { did -e options 74 | did -c options 79 | did -ra options 74 %chanforjoin }
n322=  if ( %autogreet == on ) { did -e options 77 | did -c options 80 | did -ra options 77 %greet }
n323=  if ( %sayto-option == private ) { did -c options 155 }
n324=  if ( %sayto-option == nick ) { did -c options 156 }
n325=} 
n326=showmail {
n327=  if ( %checkmail1 == on ) { did -e options 85,87,89,140 | did -c options 113 }
n328=  if ( %checkmail2 == on ) { did -e options 91,93,95,142 | did -c options 114 }
n329=  if ( %checkmail3 == on ) { did -e options 100,102,104,144 | did -c options 115 }
n330=  if ( %checkmail4 == on ) { did -e options 106,108,110,146 | did -c options 116 }
n331=  if ( %mailname.1 != $null ) { did -ra options 140 %mailname.1 }
n332=  if ( %mailserver.1 != $null ) { did -ra options 85 %mailserver.1 }
n333=  if ( %maillogin.1 != $null ) { did -ra options 87 %maillogin.1 }
n334=  if ( %maillogin.1 != $null ) { did -ra options 89 %mailpassword.1 }
n335=  if ( %mailname.2 != $null ) { did -ra options 142 %mailname.2 }
n336=  if ( %mailserver.2 != $null ) { did -ra options 91 %mailserver.2 }
n337=  if ( %maillogin.2 != $null ) { did -ra options 93 %maillogin.2 }
n338=  if ( %maillogin.2 != $null ) { did -ra options 95 %mailpassword.2 }
n339=  if ( %mailname.3 != $null ) { did -ra options 144 %mailname.3 }
n340=  if ( %mailserver.3 != $null ) { did -ra options 100 %mailserver.3 }
n341=  if ( %maillogin.3 != $null ) { did -ra options 102 %maillogin.3 }
n342=  if ( %maillogin.3 != $null ) { did -ra options 104 %mailpassword.3 }
n343=  if ( %mailname.4 != $null ) { did -ra options 146 %mailname.4 }
n344=  if ( %mailserver.4 != $null ) { did -ra options 106 %mailserver.4 }
n345=  if ( %maillogin.4 != $null ) { did -ra options 108 %maillogin.4 }
n346=  if ( %mailpassword.4 != $null ) { did -ra options 110 %mailpassword.4 }
n347=  if ( %mail.check.delay != $null ) { did -ra options 118 $calc(%mail.check.delay / 60 ) }
n348=
n349=}
n350=readport {
n351=  if ( $address($1,2) == $null ) && ( $1 != $null ) { set %portcheck on | .userhost $1 | echo -a 3* Retrieving $1 info... }
n352=  else {
n353=    dialog -nm port port
n354=    if ( %scanlog == on ) { did -c port 12 }
n355=    did -a port 3 $gettok($address($1,2),2,64)
n356=  }
n357=}
n358=portcheck {
n359=  if ($dialog(port) == $null) { dialog -nm port port }
n360=  inc %currentport
n361=  :read
n362=  if ( %currentport > $lines(files\tmp.txt) ) { unset %currentport | return }
n363=  else { did -a port 3 $gettok($read(files\tmp.txt, %currentport),1,58) | did -a port 5 $gettok($read(files\tmp.txt, %currentport),2,58) | inc %currentport | goto read }
n364=}
n365=banrequest {
n366=  set %insclone 1
n367=  :insert
n368=  if ( %insclone > $numtok($1-,63) ) { unset %insclone }
n369=  else { 
n370=    if ( $gettok($1-,%insclone,63) != $chr(32) ) {
n371=      did -a ban 6 $gettok($1-,%insclone,63) | inc %insclone | goto insert
n372=    }
n373=    else { inc %insclone | goto insert }
n374=  }
n375=}
n376=mp3 {
n377=  set %current.song $remove($dll(amplink.dll,track,), - Winamp)
n378=  if ( %current.song == %lastsong ) || ( %current.song == $null ) { halt }
n379=  else { 
n380=    set %lastsong $remove($dll(amplink.dll,track,), - Winamp)
n381=    if ( $readini($mircdirfiles/options.ini,n,other,Mp3Chans) != $null ) && ( $status == connected ) { describe $readini($mircdirfiles/options.ini,n,other,Mp3Chans) слушает: $remove($dll(amplink.dll,track,), - Winamp)  $+([,$asctime($dll(amplink.dll,leng,a),nn:ss),/,$dll(amplink.dll,bit,a),Kbps,]) }
n382=  }
n383=}
n384=smart_whois { 
n385=  if ( $address($1,2) == $null ) { .userhost $1 }
n386=  else { 
n387=    if ( $gettok($gettok($address($1,2),2,64),4,46) isnum 0-255 ) && ( $numtok($gettok($address($1,2),2,64),46) == 4 ) { 
n388=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 60 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 61 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 218 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 219 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 220 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 221 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n389=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 222 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n390=
n391=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 62 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 80 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 81 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 82 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 193 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 194 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 195 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 212 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt } 
n392=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 213 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 217 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt }
n393=
n394=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 63 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 64 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 65 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 66 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 67 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 68 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 69 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 199 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.arin.net whois.arin.net 43 | halt } 
n395=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 204 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 205 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 206 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 207 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 208 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 209 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 216 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.arin.net whois.arin.net 43 | halt }
n396=
n397=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 200 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 201 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.lacnic.net whois.lacnic.net 43 | halt }
n398=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 202 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 203 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 210 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 211 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n399=      else { echo -a ***IP  $+ $address($1,2),2,64) $+  can't be whoised, see link for more information http://www.iana.org/assignments/ipv4-address-space | halt }
n400=
n401=    }
n402=    else { dns $gettok($address($1,2),2,64) }
n403=  }
n404=}
n405=
n406=ip_whois { 
n407=  if ( $gettok($1,4,46) isnum 0-255 ) && ( $numtok($1,46) == 4 ) { 
n408=    if ( $gettok($1,1,46) == 60 ) || ( $gettok($1,1,46) == 61 ) || ( $gettok($1,1,46) == 218 ) || ( $gettok($1,1,46) == 219 ) || ( $gettok($1,1,46) == 220 ) || ( $gettok($1,1,46) == 221 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n409=    if ( $gettok($1,1,46) == 222 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n410=
n411=    if ( $gettok($1,1,46) == 62 ) || ( $gettok($1,1,46) == 80 ) || ( $gettok($1,1,46) == 81 ) || ( $gettok($1,1,46) == 82 ) || ( $gettok($1,1,46) == 193 ) || ( $gettok($1,1,46) == 194 ) || ( $gettok($1,1,46) == 195 ) || ( $gettok($1,1,46) == 212 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt } 
n412=    if ( $gettok($1,1,46) == 213 ) || ( $gettok($1,1,46) == 217 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt }
n413=
n414=    if ( $gettok($1,1,46) == 63 ) || ( $gettok($1,1,46) == 64 ) || ( $gettok($1,1,46) == 65 ) || ( $gettok($1,1,46) == 66 ) || ( $gettok($1,1,46) == 67 ) || ( $gettok($1,1,46) == 68 ) || ( $gettok($1,1,46) == 69 ) || ( $gettok($1,1,46) == 199 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.arin.net whois.arin.net 43 | halt } 
n415=    if ( $gettok($1,1,46) == 204 ) || ( $gettok($1,1,46) == 205 ) || ( $gettok($1,1,46) == 206 ) || ( $gettok($1,1,46) == 207 ) || ( $gettok($1,1,46) == 208 ) || ( $gettok($1,1,46) == 209 ) || ( $gettok($1,1,46) == 216 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.arin.net whois.arin.net 43 | halt }
n416=
n417=    if ( $gettok($1,1,46) == 200 ) || ( $gettok($1,1,46) == 201 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.lacnic.net whois.lacnic.net 43 | halt }
n418=    if ( $gettok($1,1,46) == 202 ) || ( $gettok($1,1,46) == 203 ) || ( $gettok($1,1,46) == 210 ) || ( $gettok($1,1,46) == 211 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n419=    else { echo -a ***IP  $+ $1 $+  can't be whoised, see link for more information http://www.iana.org/assignments/ipv4-address-space | set %whois off | halt }
n420=
n421=  }
n422=  else { dns $1 | set %whois on }
n423=}
n424=
n425=checkmail { 
n426=  if ( %mailserver. [ $+ [ $1 ] ] != $null ) && ( %maillogin. [ $+ [ $1 ] ] != $null ) && ( %mailpassword. [ $+ [ $1 ] ] != $null ) && ( %mailname. [ $+ [ $1 ] ] != $null ) { sockopen checkmail. $+ $1 %mailserver. [ $+ [ $1 ] ] 110 }
n427=  else { Echo -a ***Указаны не все параметры для проверки почты }
n428=}
n429=
n430=chgmode {
n431=  set %first -3
n432=  :mode1
n433=  inc %curcle
n434=  inc %first 4 | inc %second 4
n435=  if ( %curcle > $calc($int($calc($snick($chan,0) / 4 )) + 1) ) { unset %first | unset %curcle | unset %first | unset %second | goto next }
n436=  else { mode $chan $$1 $replace($gettok($snick($chan),%first $+ - $+ %second,44),$chr(44),$chr(32)) | goto mode1 }
n437=  :next 
n438=  set %first -3
n439=  :mode2
n440=  if ( $2 != $null ) {
n441=    inc %curcle
n442=    inc %first 4 | inc %second 4
n443=    if ( %curcle > $calc($int($calc($snick($chan,0) / 4 )) + 1) ) { unset %first | unset %curcle | unset %first | unset %second | halt }
n444=    else { mode $chan $$2 $replace($gettok($snick($chan),%first $+ - $+ %second,44),$chr(44),$chr(32)) | goto mode2 }
n445=  }
n446=  else { unset %first | unset %curcle | unset %first | unset %second | halt }
n447=}
n448=
n449=doignore {
n450=  if ( $address($2,2) == *!*@chat.K22 Team.ru ) || ( $address($1,2) == *!*@linkin-park.ru ) { set %mask $address($2,1) | .ignore $1 $2 1 | goto notify }
n451=  else { set %mask $address($2,2) | .ignore $1 $2 2 | goto notify }
n452=  :notify
n453=  if ( $1 == -p ) { echo -a 4***Вы игнорируете приватные сообщения от  $+ %mask | unset %mask | halt }
n454=  if ( $1 == -n ) { echo -a 4***Вы игнорируете нотисы от  $+ %mask | unset %mask | halt }
n455=  if ( $1 == -t ) { echo -a 4***Вы игнорируете CTCP сообщения от  $+ %mask | unset %mask | halt }
n456=  if ( $1 == -i ) { echo -a 4***Вы игнорируете INVITE сообщения от  $+ %mask | unset %mask | halt }
n457=  if ( $1 == -k ) { echo -a 4***Вы игнорируете цвета от  $+ %mask | unset %mask | halt }
n458=  if ( $1 == -d ) { echo -a 4***Вы игнорируете DCC запросы от  $+ %mask | unset %mask | halt }
n459=}
n460=saveprotect {
n461=  .writeini $mircdirfiles/options.ini "flood protect" $1 $1 Flood, $+ $did(133) $+ , $+ $did(134) $+ , $+ $did(137)
n462=}
n463=uptimecheck {
n464=  if ( $uptime(system,3) > %max.uptime ) { set %max.uptime $uptime(system,3) }
n465=}
n466=telnet {
n467=  if ( $1 == $null ) { echo -a ***Укажите хост и порт(по умолчанию 23) }
n468=  window -aek0 @Telnet
n469=  sockopen telnet $$1 $iif($2,$2,23)
n470=  echo @Telnet Попытка соеденения с $1 $2
n471=}
n472=}
